error: /usr/lib/mozilla/plugins/libvlcplugin.so: undefined symbol: NPP_Initialize

Bug #722690 reported by dino99 on 2011-02-21
166
This bug affects 26 people
Affects Status Importance Assigned to Milestone
VLC media player
Fix Released
Undecided
Unassigned
Gentoo Linux
Unknown
Unknown
vlc (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned

Bug Description

Binary package hint: vlc

natty i386 updated

got some issues while reading some video online: Firefox close when starting playing video, and an error is logged:

/usr/lib/firefox-4.0b11/firefox-bin: symbol lookup error: /usr/lib/mozilla/plugins/libvlcplugin.so: undefined symbol: NPP_Initialize

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: mozilla-plugin-vlc 1.1.7-1ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-4.31-generic-pae 2.6.38-rc5
Uname: Linux 2.6.38-4-generic-pae i686
NonfreeKernelModules: nvidia
Architecture: i386
Date: Mon Feb 21 17:23:12 2011
ProcEnviron:
 LANGUAGE=fr_FR:fr:en_GB:en
 LANG=fr_FR.UTF-8
 LC_MESSAGES=fr_FR.utf8
 SHELL=/bin/bash
SourcePackage: vlc

dino99 (9d9) wrote :
dino99 (9d9) wrote :

i've found that uninstalling the package: mozilla-plugin-vlc 1.1.7-1ubuntu1 stop firefox crashing

kajhaul (kaj-haulrich) wrote :

Same problem here. Uninstalling VLC helps, but problem recurs when re-installing VLC.

Rémi Denis-Courmont (rdenis) wrote :

The current mozilla-plugin-vlc package is built for older versions of Firefox. Apparently, it is incompatible with 4.0. I don't know if it's a matter of rebuilding the VLC plugin or more complicated.

That said, I assume Firefox wouldn't crash if it loaded plugins with RTLD_NOW instead of RTLD_LAZY...

Download full text (7.1 KiB)

When trying to watch

http://llvm.org/devmtg/2009-10/Sands_LLVMGCCPlugin-700kbps.mov

I get

$ /usr/lib64/chromium-browser/chrome --type=plugin --plugin-path=/usr/lib64/nsbrowser/plugins/libvlcplugin.so --lang=en-GB --plugin-data-dir=/home/justin/.config/chromium/Default --channel=25698.0x3d1e200.1097419950: symbol lookup error: /usr/lib64/nsbrowser/plugins/libvlcplugin.so: undefined symbol: NPP_Initialize

$ einfo media-video/vlc
Portage 2.2.0_alpha29 (default/linux/amd64/10.0, gcc-4.5.2, glibc-2.13-r2, 2.6.38-lh-r1 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.38-lh-r1-x86_64-Intel-R-_Core-TM-_i7_CPU_860_@_2.80GHz-with-gentoo-2.0.2
Timestamp of tree: Wed, 30 Mar 2011 07:30:01 +0000
ccache version 3.1.4 [enabled]
app-shells/bash: 4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python: 2.6.6-r2, 2.7.1-r1, 3.1.3-r1
dev-util/ccache: 3.1.4
dev-util/cmake: 2.8.4
sys-apps/baselayout: 2.0.2
sys-apps/openrc: 0.8.0
sys-apps/sandbox: 2.5
sys-devel/autoconf: 2.13, 2.68
sys-devel/automake: 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils: 2.21
sys-devel/gcc: 4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool: 2.4-r1::last-hope
sys-devel/make: 3.81-r2
virtual/os-headers: 2.6.38 (sys-kernel/linux-headers)
Repositories: gentoo sunrise dummy science last-hope g-ctan
Installed sets:
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=core2 -mcx16 -msahf -mpopcnt -msse4.2 --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -frecord-gcc-switches -g -Wimplicit-function-declaration"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/nano/ /usr/share/openvpn/easy-rsa /var/spool/torque"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=core2 -mcx16 -msahf -mpopcnt -msse4.2 --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -frecord-gcc-switches -g -Wenum-compare"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="-t --jobs=12 --load-average=12 --keep-going"
FEATURES="assume-digests binpkg-logs buildsyspkg ccache collision-protect distlocks fixlafiles fixpackages metadata-transfer multilib-strict news noinfo parallel-fetch preserve-libs protect-owned sandbox sfperms sign split-log splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe -march=core2 -mcx16 -msahf -mpopcnt -msse4.2 --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -frecord-gcc-switches -g"
GENTOO_MIRRORS=" http://gentoo.j-schmitz.net/mirror/ ftp://ftp.gentoo.mesh-solutions.com/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo ftp://ftp.tu-clausthal.de/pub/linux/gentoo/"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O...

Read more...

Well, it's a xulrunner 2.0 problem, obviously.

A quick google suggests, that those two functions can be simply removed.

By two, I mean NPP_Shutdown and NPP_Initialize.

fsanchez (fransan-met) wrote :

I have the same problem,

using Kubuntu Natty x86_64
mozilla-plugin-vlc (1.1.8-2ubuntu1)

I think I see the real problem with this bug: mozilla plugin is only in vlc-1.1 branch, not in the to-be-1.2.

Correction: the code was separated a few months back to http://git.videolan.org/?p=npapi-vlc.git but there were no significant moves since then.

I don't see any fixes for this problem in 1.1.9.
It's probably still broken.
A little surprising, as a couple of mime fixes for the plugin did get in.

Created attachment 269963
patch for the plugin

Could somebody test the following patch ?
Obviously needs to be combined with
mv projects/mozilla/support/npunix.c{,pp}

Changes, as you may tell, are trivial, especially that in npmac.cpp Private_SetValue already has such signature.

Vladimir (egorovvl) wrote :

Confirmed, Kubuntu Natty x86.

ferux@mail.ru (ferux) on 2011-05-09
tags: added: x86-64
Moses Moore (moses-mozai) wrote :

Not just video; the vlc plugin collects other media as well. I get the crash message when I point Firefox at http://localhost/~moses/brown_noise.mp3

Alternatives for webpage-embedded media vieweing may be:
- totem-mozilla
- xine-plugin
- browser-plugin-parole
- ... and I vaguely remember something using MPlayer, but I don't see it in the 11.04 "natty" repositories now.

Yes, this fixes the problem, thanks.

Same problem here:

Firefox won't start anymore, giving the message

/usr/lib/firefox-4.0.1/firefox-bin: symbol lookup error: /usr/lib/mozilla/plugins/libvlcplugin.so: undefined symbol: NPP_Initialize

Yes, Rafał's patch fixes the problem for me too.

Changed in gentoo:
importance: Unknown → Medium
Montblanc (montblanc) on 2011-05-18
Changed in vlc (Ubuntu):
status: New → Confirmed

This also affects Google Chromium:

/usr/lib64/chromium-browser/chrome --type=plugin --plugin-path=/usr/lib64/nsbrowser/plugins/libvlcplugin.so --lang=en-US --plugin-data-dir=/home/richard/.config/chromium/Default --channel=31056.0x5f20200.55425446: symbol lookup error: /usr/lib64/nsbrowser/plugins/libvlcplugin.so: undefined symbol: NPP_Initialize

Patching browsers to resolve this seems to be like playing whack a mole to me. It might be better to implement stubs for these functions in the plugin itself.

Please disregard my previous message. I misread the patch as being one for Firefox. It is now clear to me that it is a patch for VLC. I will test it later.

Robert Lange (rcl24) wrote :

I adapted Rafał's patch from Gentoo to Ubuntu. Note, it does a full copy of the old npunix.c to a new npunix.cpp with the changes included: this was the only way I could make the patch so that dpkg-buildpackage would apply it without failing.

To apply, put it into vlc-1.1.9/debian/patches/ and add a line containing the patch name to vlc-1.1.9/debian/patches/series. Then you should be able to use dpkg-buildpackage like usual.

tags: added: patch
description: updated
Willem de Groot (gwillem) wrote :

Confirmed with Chrome @ 11.4 (64bit)

/opt/google/chrome/chrome --type=plugin --plugin-path=/usr/lib/mozilla/plugins/libvlcplugin.so --lang=en-US --plugin-data-dir=/home/willem/.config/google-chrome/Default --channel=20332.0x72e7200.304249051: symbol lookup error: /usr/lib/mozilla/plugins/libvlcplugin.so: undefined symbol: NPP_Initialize

Rémi Denis-Courmont (rdenis) wrote :

Already fixed in VLC 1.1.10.

Changed in vlc:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vlc - 1.1.10-1ubuntu1

---------------
vlc (1.1.10-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - build and install the libx264 plugin

vlc (1.1.10-1) unstable; urgency=high

  [ Benjamin Drung ]
  * New upstream release.
    - Security: Fix XSPF integer overflow (CVE-2011-2194) (LP: #795410)
    - Improve .desktop file:
      - Add smb as supported protocol (Closes: #622879, LP: #737192)
      - add video/webm to supported MIME formats (LP: #769463)
    - Fix libdvdread errors while playing ogg files (Closes: #622935)
    - Support three channels in pulseaudio output plugin (LP: 743478)
    - PulseAudio output re-written due to unstability of the current one
      (LP: #743323)
    - Fix crashes (LP: #754497, #785979)
    - Qt: allow drag and drop of any URL, not just a local file (LP: #664030)
    - Fix libvlcplugin.so: undefined symbol: NPP_Initialize (LP: #722690)
  * Refresh patches.
  * Drop as-needed patch due to autoreconf run.
  * Backport PulseAudio build fix.
  * Add GNOME MIME types for Ogg Vorbis and Ogg Theora (Closes: #629619).
  * Mention potcast support in package description (Closes: #488771).

  [ Reinhard Tartler ]
  * run autoreconf on the buildds
  * Weaken dependencies on libschroedinger
 -- Benjamin Drung <email address hidden> Sat, 11 Jun 2011 19:56:27 +0200

Changed in vlc (Ubuntu):
status: Confirmed → Fix Released
Danny Ming (dannyming09) wrote :

but i didn't find package vlc - 1.1.10-1ubuntu1 in update manager. How do I update my VLC to 1.1.10??

Thanks!!
Danny

Rémi Denis-Courmont (rdenis) wrote :

Look at the current statuses of this bug:
VLC: Fix released
Ubuntu: Fix released
Natty: New

This means, the bug is fixed in upstream VLC source code and in Ubuntu development version, and not handled (yet) in Natty.

Benjamin Drung (bdrung) wrote :

Wait, until vlc 1.1.9-1ubuntu1.2 is available in natty-proposed.

Benjamin Drung (bdrung) on 2011-06-15
Changed in vlc (Ubuntu):
importance: Undecided → Medium
Changed in vlc:
importance: Undecided → Unknown
status: Fix Released → Unknown

Accepted vlc into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in vlc (Ubuntu Natty):
status: New → Fix Committed
tags: added: verification-needed
Robert Simmons (rsimmons0) wrote :

I would like to test the package, but I am running Kubuntu. What do I need to add (as far as pin-priorities, etc) to /etc/apt/preferences if I am also using the following?
1) regular Ubuntu backports
2) Kubuntu updates
3) Kubuntu backports

Perhaps, an additional example for Kubuntu people should be added to https://wiki.ubuntu.com/Testing/EnableProposed

Benjamin Drung (bdrung) wrote :

There is no difference between Kubuntu and Ubuntu, because the archive is the same. You just have different packages installed. Add following line to /etc/apt/sources.list:

deb http://archive.ubuntu.com/ubuntu/ natty-proposed restricted main multiverse universe

Benjamin Drung (bdrung) wrote :

I tested vlc plugin 1.1.9-1ubuntu1.2 with Firefox 5. All test videos played without exposing any warnings on the terminal.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vlc - 1.1.9-1ubuntu1.2

---------------
vlc (1.1.9-1ubuntu1.2) natty-proposed; urgency=low

  * Backport PulseAudio output plugin rewrite to fix memory leak. (LP: #743323)
  * ASX: fix NULL derefence (LP: #785979)
  * Qt: undo the FSC/KDE workaround (LP: #774581)
  * Add Firefox 4 compatibility (LP: #722690)
 -- Benjamin Drung <email address hidden> Tue, 14 Jun 2011 03:04:10 +0200

Changed in vlc (Ubuntu Natty):
status: Fix Committed → Fix Released
Changed in vlc:
importance: Unknown → Undecided
status: Unknown → New
status: New → Fix Released
assignee: nobody → Heru Herdianto (herdiantoheru-yahoo)

why solution a have package in solution ..... what i checklist in my synaptic package manager or how solution

Benjamin Drung (bdrung) wrote :

Heru, I don't understand, what you want to say or ask.

If you want to know, when vlc 1.1.9-1ubuntu1.2 shows up in your (Synaptic) package manager, the answer is in a few hours. The package needs some hours until it is synced from the primary archive to your local mirror.

Changed in gentoo:
importance: Medium → Undecided
status: Unknown → New
status: New → Fix Released
assignee: nobody → Heru Herdianto (herdiantoheru-yahoo)
Changed in vlc (Ubuntu):
assignee: nobody → Heru Herdianto (herdiantoheru-yahoo)
Changed in vlc (Ubuntu Natty):
assignee: nobody → Heru Herdianto (herdiantoheru-yahoo)
Micah Gersten (micahg) on 2011-06-28
Changed in vlc (Ubuntu Natty):
assignee: Heru Herdianto (herdiantoheru-yahoo) → nobody
Changed in vlc (Ubuntu):
assignee: Heru Herdianto (herdiantoheru-yahoo) → nobody
Micah Gersten (micahg) on 2011-06-28
Changed in vlc:
assignee: Heru Herdianto (herdiantoheru-yahoo) → Micah Gersten (micahg)
assignee: Micah Gersten (micahg) → nobody
Changed in gentoo:
assignee: Heru Herdianto (herdiantoheru-yahoo) → Micah Gersten (micahg)
assignee: Micah Gersten (micahg) → nobody
importance: Undecided → Unknown
status: Fix Released → Unknown
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.